using System.Collections.Generic;
using XYY.Core.Standard.ExcelHelper.MSExcelHelper;
using XYY.TaskTrack.Standard.TaskModel;

namespace XYY.Service.Standard.First
{
    public class BatchMapping : MSExcelClassMapping<Job_LadingBillLogisticsItem>
    {
        public BatchMapping()
        {
            Map(x => x.LadingBillNumber).Name("AWB");
            Map(x => x.ArrivalTime).Name("落地时间");
            Map(x => x.ClearanceTime).Name("提货时间");
            Map(x => x.DepartTime).Name("实际起飞时间");
            Map(x => x.SubmitClearanceTime).Name("清关时间");
            Map(x => x.CustomsClearanceTime).Name("国内报关时间");
            Map(x=>x.LeaveWarehouseTime).Name("出库时间");
        }

        public override int[] SheetIndexs(List<string> sheetNames)
        {
            int last = sheetNames.IndexOf("客户");
            List<int> indexs = new List<int>();
            for (int i = 0; i < last; i++)
            {
                indexs.Add(i + 1);
            }
            return indexs.ToArray();
        }

    }
}
